#ifndef NETWORKBUTTON_H
#define NETWORKBUTTON_H

#include <QWidget>
#include <kylin-nm/kynetworkicon.h>
#include "statusbutton.h"

class NetWorkButton : public KyNetworkIcon
{
    Q_OBJECT
public:
    explicit NetWorkButton(QWidget *parent = 0);
    /**
     * @brief 设置按钮当前状态
     * @param selected 是否选中
     * @return
     */
    void setClickedStatus(int status);
protected:
    void paintEvent(QPaintEvent *e) override;
    void mouseReleaseEvent(QMouseEvent *e);
    void mousePressEvent(QMouseEvent *e);
private:
    int curStatus = NORMAL;
};

#endif // NETWORKBUTTON_H
